This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 236628 - StackOverflowError at com.sun.source.util.TreePathScanner.scan
Summary: StackOverflowError at com.sun.source.util.TreePathScanner.scan
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Hints (show other bugs)
Version: 8.0
Hardware: All All
: P2 normal (vote)
Assignee: Svata Dedic
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-02 06:31 UTC by Milos Kleint
Modified: 2013-10-16 02:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 121345


Attachments
stacktrace (73.96 KB, text/plain)
2013-10-02 06:31 UTC, Milos Kleint
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2013-10-02 06:31:07 UTC
Build: NetBeans IDE Dev (Build 201309300002)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.0-b56, Java(TM) SE Runtime Environment, 1.7.0_40-b43
OS: Mac OS X

User Comments:
GUEST: autocompletion

GUEST: I was invoking a template: I typed fore and then pressed tab

GUEST: ??????????????????????????????????????????????????
?????????????????????????

mkleint: opened NexusRepositoryIndexerImpl from nb.org maven.indexer module sources

GUEST: The Code completer not working

brambut: I tried to create list of String and using apache-wicket reproduce this list into tree links, but I keep getting this StackOverflowError. I am not sure where this comes from.

GUEST: Just started up netbeans, edited some code. I saved the code and then this problem occurs

GUEST: ???????2?????




Stacktrace: 
java.lang.StackOverflowError
   at com.sun.source.util.TreePathScanner.scan(TreePathScanner.java:68)
   at com.sun.source.util.TreePath$1PathFinder.scan(TreePath.java:70)
   at com.sun.source.util.TreePath$1PathFinder.scan(TreePath.java:65)
   at com.sun.source.util.TreeScanner.scanAndReduce(TreeScanner.java:81)
   at com.sun.source.util.TreeScanner.visitTypeCast(TreeScanner.java:325)
   at com.sun.tools.javac.tree.JCTree$JCTypeCast.accept(JCTree.java:1812)
Comment 1 Milos Kleint 2013-10-02 06:31:09 UTC
Created attachment 140711 [details]
stacktrace
Comment 2 Svata Dedic 2013-10-15 12:11:07 UTC
Appears in dev version only
Comment 3 Svata Dedic 2013-10-15 12:23:14 UTC
Note - the former reports from <= 7.3 are unrelated to this defect. Except for report #615057, which does not contain enough data are probably obsolete, so I'll close them with this defect although they are not related.

Fixed in http://hg.netbeans.org/jet-main/rev/02865bb658a4

In the meantime, please turn off 'assert with side effects' hint in Tools | Options.
Comment 4 Quality Engineering 2013-10-16 02:19:09 UTC
Integrated into 'main-silver', will be available in build *201310160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/02865bb658a4
User: Svata Dedic <sdedic@netbeans.org>
Log: #236628: method traversal limited